Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.server
Class Sessions

    java.lang.Object
      org.basex.server.Sessions

All Implemented Interfaces:
  Iterable<ServerProcess>

    public final class Sessions

extends Object
implements Iterable<ServerProcess>

This is a simple container for sessions.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Constructor Summary
`Sessions()`

Method Summary
`void` | `add(ServerProcess s)` Adds a session to the array.
`void` | `delete(ServerProcess s)` Deletes the specified entry.
`ServerProcess` | `get(int p)` Returns the specified entry.
`String` | `info()` Returns information on the opened database instances.
`Iterator<ServerProcess>` | `iterator()`
`int` | `size()` Returns the number of entries.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sessions

    public Sessions()

Method Detail

### add

    public void add(ServerProcess s)

  Adds a session to the array.

  Parameters:
    `s` - string to be added

### size

    public int size()

  Returns the number of entries.

  Returns:
    number of entries

### get

    public ServerProcess get(int p)

  Returns the specified entry.

  Parameters:
    `p` - position
  Returns:
    entry

### delete

    public void delete(ServerProcess s)

  Deletes the specified entry.

  Parameters:
    `s` - entry to be deleted

### info

    public String info()

  Returns information on the opened database instances.

  Returns:
    data reference

### iterator

    public Iterator<ServerProcess> iterator()

  Specified by:
    `iterator` in interface `Iterable<ServerProcess>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD